
CREATE TABLE IF NOT EXISTS `#__k2store_orders` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `order_date` datetime NOT NULL,
  `order_id` int(11) NOT NULL,
  `itemid` int(11) NOT NULL,
  `itemname` varchar(255) NOT NULL,
  `itemprice` decimal(11,2) NOT NULL,
  `quantity` int(11) NOT NULL,
  `total` decimal(11,2) NOT NULL,
  `order_status` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__k2store_billing` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `paid_date` datetime NOT NULL,
  `order_id` int(11) NOT NULL,
  `txn_id` varchar(255) NOT NULL,
  `amount` decimal(11,2) NOT NULL,
  `verified` varchar(255) NOT NULL,
  `payment_status` varchar(255) NOT NULL,
  `first_name` varchar(255) NOT NULL,
  `last_name` varchar(255) NOT NULL,
  `address_name` varchar(255) NOT NULL,
  `address_street` varchar(255) NOT NULL,
  `state` varchar(255) NOT NULL,
  `city` varchar(255) NOT NULL,
  `zip` varchar(255) NOT NULL,
  `country` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;
