<?php

if( !defined( '_VALID_MOS' ) && !defined( '_JEXEC' ) ) die( 'Direct Access to '.basename(__FILE__).' is not allowed.' );

/**

*

* @version $Id: ps_paymate.php 1751 2009-05-01 06:32:33Z macallf $

* @package VirtueMart

* @subpackage payment

* @copyright Copyright (C) 2004-2007 soeren - All rights reserved.

* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php

* VirtueMart is free software. This version may have been modified pursuant

* to the GNU General Public License, and as distributed it includes or

* is derivative of works licensed under the GNU General Public License or

* other free or open source software licenses.

* See /administrator/components/com_virtuemart/COPYRIGHT.php for copyright notices and details.

*

* http://virtuemart.net

*/



class ps_paymate {



    var $classname = "ps_paymate";

    var $payment_code = "PAYMATE";

    

    /**

    * Show all configuration parameters for this payment method

    * @returns boolean False when the Payment method has no configration

    */

    function show_configuration() {

        global $VM_LANG;

        $db = new ps_DB();

        

        /** Read current Configuration ***/

        require_once(CLASSPATH ."payment/".$this->classname.".cfg.php");

        ?>

        <table>

          <tr>

          <td><strong><?php echo $VM_LANG->_('PHPSHOP_ADMIN_CFG_PAYMATE_USERNAME') ?></strong></td>

              <td>

                  <input type="text" name="PAYMATE_USERNAME" class="inputbox" value="<?php echo PAYMATE_USERNAME ?>" />

              </td>

              <td><?php echo $VM_LANG->_('PHPSHOP_ADMIN_CFG_PAYMATE_USERNAME_EXPLAIN') ?>

              </td>

          </tr> 

        </table>

        <?php

    }

    

    function has_configuration() {

      // return false if there's no configuration

      return true;

   }

   

  /**

	* Returns the "is_writeable" status of the configuration file

	* @param void

	* @returns boolean True when the configuration file is writeable, false when not

	*/

   function configfile_writeable() {

      return is_writeable( CLASSPATH."payment/".$this->classname.".cfg.php" );

   }

   

  /**

	* Returns the "is_readable" status of the configuration file

	* @param void

	* @returns boolean True when the configuration file is writeable, false when not

	*/

   function configfile_readable() {

      return is_readable( CLASSPATH."payment/".$this->classname.".cfg.php" );

   }

   

  /**

	* Writes the configuration file for this payment method

	* @param array An array of objects

	* @returns boolean True when writing was successful

	*/

   function write_configuration( &$d ) {

      

      $my_config_array = array("PAYMATE_USERNAME" => $d['PAYMATE_USERNAME']

                                      );

      $config = "<?php\n";

      $config .= "if( !defined( '_VALID_MOS' ) && !defined( '_JEXEC' ) ) die( 'Direct Access to '.basename(__FILE__).' is not allowed.' ); \n\n";

      foreach( $my_config_array as $key => $value ) {

        $config .= "define ('$key', '$value');\n";

      }

      

      $config .= "?>";

  

      if ($fp = fopen(CLASSPATH ."payment/".$this->classname.".cfg.php", "w")) {

          fputs($fp, $config, strlen($config));

          fclose ($fp);

          return true;

     }

     else

        return false;

   }

   

  /**************************************************************************

  ** name: process_payment()

  ** returns: 

  ***************************************************************************/

   function process_payment($order_number, $order_total, &$d) {

        return true;

    }

   

}

