<?php
/**
 * @version		$Id: en-GB.com_k2store.ini 329 2010-04-14 05:39:21Z weblogicxindia $
 * @package		K2Store
 * @author    Weblogicx India http://www.weblogicxindia.com
 * @copyright	Copyright (c) 2010 - 2015 Weblogicx India Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */


// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class K2STORE_front {

function showCart($option, $Cart) {
		session_start();
		$siteURL = JURI::base();
		$user 		=	& JFactory::getUser();
		$link = JRoute::_('index.php?option=com_k2store&task=checkout');
		$loginlink = JRoute::_('index.php?option=com_user&view=login');
		
	$plugin = & JPluginHelper::getPlugin('k2', 'k2store');
	$pluginParams = new JParameter($plugin->params);
	$shopname = $pluginParams->get('shopname');
	$isregister = $pluginParams->get('isregister');
	
	$currency = $pluginParams->get('currency');
	
		 $doc = &JFactory::getDocument();
		 $doc->addStyleSheet(JURI::base().'components'.DS.'com_k2store'.DS.'js'.DS.'style.css');
		 $doc->addStyleSheet(JURI::base().'components'.DS.'com_k2store'.DS.'js'.DS.'cart.css');
?>
		
		<div id="container">
			<h1><?php echo $shopname; ?> - <?php echo JText::_('SHOPPING CART'); ?></h1>
			<?php if ( $Cart->hasItems() ) : ?>
			<form action="index.php?option=com_k2store&task=cartaction&" method="get" name="userForm" id="userForm">
				<table id="cart">
					<tr>
						<th><?php echo JText::_('QUANTITY'); ?></th>
						<th><?php echo JText::_('ITEMNAME'); ?></th>
						<th><?php echo JText::_('ITEMID'); ?></th>
						<th><?php echo JText::_('UNIT PRICE'); ?></th>
						<th><?php echo JText::_('TOTAL'); ?></th>
					</tr>
					<?php
						$total_price = $i = 0;
						foreach ( $Cart->getItems() as $order_code=>$quantity ) :
							$total_price += $quantity*$Cart->getItemPrice($order_code);
					?>
						<?php echo $i++%2==0 ? "<tr>" : "<tr class='odd'>"; ?>
							<td class="quantity center"><?php echo $quantity; ?></td>
							<td class="item_name"><?php echo $Cart->getItemName($order_code); ?></td>
							<td class="order_code"><?php echo $order_code; ?></td>
							<td class="unit_price"><?php echo $currency;?><?php echo $Cart->getItemPrice($order_code); ?></td>
							<td class="extended_price"><?php echo $currency;?><?php echo ($Cart->getItemPrice($order_code)*$quantity); ?></td>
						</tr>
					<?php endforeach; ?>
					<tr><td align="right" colspan="4"><?php echo JText::_('TOTAL'); ?> : &nbsp;&nbsp;</td><td id="total_price"><?php echo $currency;?><?php echo $total_price; ?></td></tr>
				</table>
				<table>
					<tr>
					<?php if ($isregister) {
						 if($user->id){ ?>
						<td><input type="button" value="<?php echo JText::_('CHECKOUT'); ?>" onclick="SqueezeBox.close(); window.location = '<?php echo $link; ?>';" />
						<?php } else { ?>
						<td><input type="button" value="<?php echo JText::_('LOGIN TO CHECKOUT'); ?>" onclick="SqueezeBox.close(); window.location = '<?php echo $loginlink; ?>';" />
						
						<?php } ?>
						
					<?php } else { ?>
					<td><input type="button" value="<?php echo JText::_('CHECKOUT'); ?>" onclick="SqueezeBox.close(); window.location = '<?php echo $link; ?>';" />
					<?php } ?>	
						<td><input type="button" value="<?php echo JText::_('CONTINUE SHOPPING'); ?>" onclick="SqueezeBox.close();" />
					</tr>
				</table>
				
				
				<input type="hidden" name="option" value="com_k2store" />
				<input type="hidden" name="task" value="cartaction" />
			</form>
			<?php else: ?>
				<p class="center"><?php echo JText::_('NO ITEMS'); ?></p>
			<?php endif; ?>
		</div>

	
<?php	
exit;	
	
}


function checkOut($option, $Cart, $items, $pluginParams) {
	
	$siteURL = JURI::base();
	
	$currency = $pluginParams->get('currency');

	$link = JRoute::_('index.php?option=com_k2store&task=paypal');

	$shopname = $pluginParams->get('shopname');
	$doc = &JFactory::getDocument();
		
		 $doc->addScript(JURI::base().'components'.DS.'com_k2store'.DS.'js'.DS.'jquery-1.2.6.pack.js');
		 $doc->addScript(JURI::base().'components'.DS.'com_k2store'.DS.'js'.DS.'jquery.color.js');
		 $doc->addScript(JURI::base().'components'.DS.'com_k2store'.DS.'js'.DS.'cart.js');
		 $doc->addStyleSheet(JURI::base().'components'.DS.'com_k2store'.DS.'css'.DS.'style.css');
		 $doc->addStyleSheet(JURI::base().'components'.DS.'com_k2store'.DS.'css'.DS.'cart.css');
		 
?>	
	<div id="container">
			<h1><?php echo $shopname; ?> - Shopping Cart</h1>
			<?php if ( $Cart->hasItems() ) { ?>
			<form action="index.php" method="post" name="userForm" id="userForm">
				<table id="cart">
					<tr>
						<th><?php echo JText::_('QUANTITY'); ?></th>
						<th><?php echo JText::_('ITEMNAME'); ?></th>
						<th><?php echo JText::_('ITEMID'); ?></th>
						<th><?php echo JText::_('UNIT PRICE'); ?></th>
						<th><?php echo JText::_('TOTAL'); ?></th>
						<th><?php echo JText::_('REMOVE'); ?></th>
					</tr>
					<?php
						$total_price = $i = 0;
						foreach ( $Cart->getItems() as $order_code=>$quantity ) :
							$total_price += $quantity*$Cart->getItemPrice($order_code);
					?>
						<?php echo $i++%2==0 ? "<tr>" : "<tr class='odd'>"; ?>
							<td class="quantity center"><input type="text" name="quantity[<?php echo $order_code; ?>]" size="3" value="<?php echo $quantity; ?>" tabindex="<?php echo $i; ?>" /></td>
							<td class="item_name"><?php echo $Cart->getItemName($order_code); ?></td>
							<td class="order_code"><?php echo $order_code; ?></td>
							<td class="unit_price"><?php echo $currency;?><?php echo $Cart->getItemPrice($order_code); ?></td>
							<td class="extended_price"><?php echo $currency;?><?php echo ($Cart->getItemPrice($order_code)*$quantity); ?></td>
							<td class="remove center"><input type="checkbox" name="remove[]" value="<?php echo $order_code; ?>" /></td>
						</tr>
					<?php endforeach; ?>
					<tr><td align="right" colspan="4"><?php echo JText::_('TOTAL'); ?> : &nbsp;&nbsp;</td><td id="total_price"><?php echo $currency;?><?php echo $total_price; ?></td></tr>
				</table>
				<table>
					<tr>
						<td><input type="submit" value="<?php echo JText::_('CONFIRM CHECKOUT'); ?>" />
					</tr>
				</table>
				
				
				<input type="hidden" name="option" value="com_k2store" />
				<input type="hidden" name="task" value="paypal" />
				
			</form>
			<?php } else { ?>
				<p class="center"><?php echo JText::_('NO ITEMS'); ?></p>
			<?php } ?>
		</div>
	
<?php 	
	
 }
 
 
 function showOrders($option, $rows, $pageNav) {
	 $plugin = & JPluginHelper::getPlugin('k2', 'k2store');
	$pluginParams = new JParameter($plugin->params);
	?> 
	 <table width="100%" cellpadding="2" cellspacing="2" class="k2store_orders">
			<thead>
				<tr class="jorder_rowhead">
					<th width="1%">
						<?php echo JText::_('NO'); ?>
					</th>
					<th width="15%">
						<?php echo JText::_('ORDERDATE'); ?>
					</th>
					<th width="15%">
						<?php echo JText::_('ORDERID'); ?>
					</th>
					<th width="10%">
						<?php echo JText::_('QUANTITY'); ?>
					</th>
					<th width="10%">
						<?php echo JText::_('TOTAL'); ?>
					</th>
					<th width="10%">
						<?php echo JText::_('ORDER STATUS'); ?>
					</th>					
					
				</tr>
			</thead>
			
			<tfoot>
				<tr>
					<td colspan="6" class="jorder_row">
						<form action="index.php" method="get" name="userForm">
							<?php echo $pageNav->getListFooter(); ?>
							<input type="hidden" name="option" value="<?php echo $option; ?>" />
							<input type="hidden" name="task" value="showorders" />
						</form>
					</td>
				</tr>
			</tfoot>
			<tbody>
			
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];
				$link = JRoute::_('index.php?option=com_k2store&task=detailorder&orderid='.$row->order_id);
				
				?>
				<tr class="jorder_<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
					<?php echo JHTML::_('date', $row->order_date, '%d-%m-%Y'); ?>
					</td>
					<td>
					<a href='<?php echo $link; ?>'><?php echo $row->order_id; ?></a>
					</td>
					
					<td>
					<?php echo $row->totalqty; ?>
					</td>
					<td>
					<?php echo $pluginParams->get('currency'); ?>&nbsp;<?php echo $row->totalamt; ?>
					</td>
					<td>
					<?php echo $row->order_status; ?>
					</td>
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
		
			</tbody>
			</table>
	<?php 
 }	
 
 
 function detailOrder($option, $rows, $order_id) {
	 $plugin = & JPluginHelper::getPlugin('k2', 'k2store');
	$pluginParams = new JParameter($plugin->params);
	$back_link = JRoute::_('index.php?option=com_k2store&task=showorders');
	?> 
	
	<h3> <?php echo JText::_('ORDERID'); ?> &nbsp; <?php echo $order_id; ?>  </h3>
		 <table width="100%" cellpadding="2" cellspacing="2" class="k2store_orders">
			<thead>
				<tr class="jorder_rowhead">
					<th width="1%">
						<?php echo JText::_('NO'); ?>
					</th>
					<th width="10%">
						<?php echo JText::_('ITEMID'); ?>
					</th>
					<th width="30%">
						<?php echo JText::_('ITEMNAME'); ?>
					</th>
					
					<th width="10%">
						<?php echo JText::_('PRICE'); ?>
					</th>
					<th width="10%">
						<?php echo JText::_('QUANTITY'); ?>
					</th>
					<th width="10%">
						<?php echo JText::_('TOTAL'); ?>
					</th>
					
				</tr>
			</thead>
			
			<tbody>
			
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];
				$total_price += $row->total;
				?>
				<tr class="jorder_<?php echo "row$k"; ?>">
					<td>
						<?php echo $i+1; ?>
					</td>
					<td>
					<?php echo $row->itemid; ?>
					</td>
					<td>
					<?php echo $row->itemname; ?>
					</td>
					<td>
					<?php echo $pluginParams->get('currency'); ?>&nbsp;<?php echo $row->itemprice; ?>
					</td>
					<td>
					<?php echo $row->quantity; ?>
					</td>
					<td>
					<?php echo $pluginParams->get('currency'); ?>&nbsp;<?php echo $row->total; ?>
					</td>
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			
			<tr class="k2store_table_footer">
			<td colspan="3"><a href="<?php echo $back_link;?>"><?php echo JText::_('BACK'); ?></td>
			<td colspan="2"><?php echo JText::_('ORDERTOTAL'); ?></td>
			<td colspan="1" ><?php echo $pluginParams->get('currency'); ?>&nbsp;<?php echo $total_price; ?></td>
			
			</tr>
		
			</tbody>
			</table>
	<?php 
 }	

	
		
}
