<?php
/**
 * @version		$Id: en-GB.com_k2store.ini 329 2010-04-14 05:39:21Z weblogicxindia $
 * @package		K2Store
 * @author    Weblogicx India http://www.weblogicxindia.com
 * @copyright	Copyright (c) 2010 - 2015 Weblogicx India Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

 
jimport('joomla.application.helper');
require_once( JApplicationHelper::getPath( 'html' ) );
JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_k2store'.DS.'tables');
//require_once( $mainframe->getPath( 'class' ) );

$doc = &JFactory::getDocument();
$doc->addStyleSheet(JURI::base().'components'.DS.'com_k2store'.DS.'css'.DS.'style.css');

$user = JFactory::getUser();

$Itemid = intval( JRequest::getVar( 'Itemid', 0) );
$action=JRequest::getCmd( 'action', '');

// Gets task from url
$task	= JRequest::getCmd('task');
$id 	= JRequest::getVar('id', 0, 'get', 'int');
$cid 	= JRequest::getVar('cid', array(0), 'post', 'array');
JArrayHelper::toInteger($cid, array(0));


switch ($task) {
	
	case 'cartaction':
		cartAction($option);
	break;

	case 'checkout':
		checkOut($option);
	break;
	
	case 'paypal':
		$post = JRequest::get('post');
		$orderid = time();
		$cart = $post['quantity'];
		saveCart($cart, $orderid);
		
		$plugin = & JPluginHelper::getPlugin('k2', 'k2store');
		$pluginParams = new JParameter($plugin->params);
		
		$paymode = $pluginParams->get('paymode');
		
		if ($paymode == 1) {
		processPayment($cart,$orderid);
		
		} else {
		manualOrder($cart, $orderid);
		}	
		
	break;
	
	case 'notifypaypal':
		notifyPaypal($option);	
	break;
	
	case 'returnpaypal':
		returnPaypal($option);	
	break;
	
	case 'cancelpaypal':
		cancelPaypal($option);	
	break;
	
	case 'showorders':
		showOrders($option);	
	break;
	
	case 'detailorder':
		detailOrder($option);	
	break;
		
}


function cartAction($option) {
	
	
require_once(JPATH_SITE.DS.'components'.DS.'com_k2store'.DS.'shopping_cart.class.php');

session_start();
ob_start();

$Cart = new Shopping_Cart('shopping_cart');

 $myorder_code = JRequest::getVar('order_code');
 $myquantity = JRequest::getVar('quantity');
 $myremove = JRequest::getVar('remove');

if ( !empty($myorder_code) && !empty($myquantity) ) {
	$quantity = $Cart->getItemQuantity($myorder_code)+$myquantity;
	$Cart->setItemQuantity($myorder_code, $quantity);
}

if ( is_array($myquantity) && count($myquantity)) {
	foreach ( $myquantity as $order_code=>$quantity ) {
		
		$Cart->setItemQuantity($order_code, $quantity);
	}
}

if ( !empty($myremove) ) {
	foreach ( $myremove as $order_code ) {
		$Cart->setItemQuantity($order_code, 0);
	}
}

$Cart->save();


K2STORE_front::showCart($option, $Cart);	
}

function checkOut($option) {
	
	 global $mainframe;
	 $user 		=	& JFactory::getUser();
		$plugin = & JPluginHelper::getPlugin('k2', 'k2store');
		$pluginParams = new JParameter($plugin->params);
	
	$isregister = $pluginParams->get('isregister');	
	$paymode = $pluginParams->get('paymode');
		
	if ($isregister) {
	 if(!$user->id){
		$return	= JRoute::_('index.php?option=com_user&view=login');
		$msg = JText::_('ONLY REGISTERED');
		$mainframe->redirect( $return, $msg );	
 	 }
    }
    
    if($paymode == 0 && $isregister == 0) {
	
		$return	= JRoute::_('index.php?option=com_k2store');
		$msg = JText::_('ERROR IN SHOP CONFIG');
		$mainframe->redirect( $return, $msg );	
		
	}
    
   
require_once(JPATH_SITE.DS.'components'.DS.'com_k2store'.DS.'shopping_cart.class.php');

$Cart = new Shopping_Cart('shopping_cart');

	
	$items = $Cart->getItems();
	
	$plugin = & JPluginHelper::getPlugin('k2', 'k2store');
	$pluginParams = new JParameter($plugin->params);
	
	
		
K2STORE_front::checkOut($option, $Cart, $items, $pluginParams);	
}


function saveCart($cart, $orderid) {
	
	global $mainframe;
	$db = &JFactory::getDBO();
	$user	=	& JFactory::getUser();
	
  include_once(JPATH_SITE.DS.'components'.DS.'com_k2store'.DS.'shopping_cart.class.php');

	$mycart = new Shopping_Cart('shopping_cart');

	
	foreach ($cart as $itemid=>$quantity) {
	$row	=& JTable::getInstance('orders', 'Table');
	
	$date =& JFactory::getDate();
	$row->user_id = $user->id;
	$row->order_date = $date->toMySQL();
	$row->order_id = $orderid;
	$row->itemid = $itemid;
	$row->itemname = $mycart->getItemName($itemid);
	$row->itemprice = (double) $mycart->getItemPrice($itemid);
	$row->quantity = $quantity;
	$row->total = $quantity*$mycart->getItemPrice($itemid);
	$row->order_status = JText::_('PENDING');
	
		// pre-save checks
		if (!$row->check()) {
			JError::raiseError(500, $row->getError() );
		}
	
		// if new item,  last in appropriate group
		if (!$row->id) {
			$where = "id = " . (int) $row->id;		
		}
		
		
		// save the changes
		if (!$row->store()) {
			JError::raiseError(500, $row->getError() );
		}
			
	}
	
	
}




function processPayment($cart, $order_id) {
	
		// this function will use paypal for checkout instead of a standard email to the admin
		// it uses the simple way to upload a cart with contents to paypal as explained here:
		// https://www.paypal.com/IntegrationCenter/ic_standard_home.html#CartUpload
		// data available March, 31 2008.

		//get PayPal configuration
		
		require_once (dirname(__FILE__) . '/paypal.class.php');
		$p = new paypal_class;
		
		$plugin = & JPluginHelper::getPlugin('k2', 'k2store');
		$pluginParams = new JParameter($plugin->params);
	
		$admin_email = 	$pluginParams->get('paypal_email');
		
		$reselleremail= $pluginParams->get('paypal_email');
		$ppcurrency= $pluginParams->get('currency_code');
		$ptestmode = 	$pluginParams->get('testmode');
		
		$paypal_url = ($ptestmode) ? 'https://www.sandbox.paypal.com/cgi-bin/webscr' : 'https://www.paypal.com/cgi-bin/webscr';
	
		$notify_url= JRoute::_(JURI::base().'index.php?option=com_k2store&task=notifypaypal');
		$ppreturnurl= JRoute::_(JURI::base().'index.php?option=com_k2store&task=returnpaypal');
		$ppreturncancelurl=JRoute::_(JURI::base().'index.php?option=com_k2store&task=cancelpaypal');
		
		
		if (!$reselleremail) {
			echo "Reseller email is not entered, please add this to the configuration first. PayPal cannot be used!";
			return;
		}
		
		if (!$cart) return; // if there is no cart then exit.
		
		
	  $p->add_field('business', $reselleremail);
      $p->add_field('return', $ppreturnurl);
      $p->add_field('cancel_return', $ppreturncancelurl);
      $p->add_field('notify_url', $notify_url);
      $p->add_field('currency_code', $ppcurrency);
      $p->add_field('invoice', $order_id);
   //   $p->add_field('item_name', 'Paypal Test Transaction');
    //  $p->add_field('amount', '1.99');

     	// add the details to the order
		$gtotal=0; //define the grand total
		$pptax=0; // define the tax for paypal
		
		$fieldnumber=0; // PayPal field numbering variable
		
		require_once(JPATH_SITE.DS.'components'.DS.'com_k2store'.DS.'shopping_cart.class.php');
		$mycart1 = new Shopping_Cart('shopping_cart');
		
		foreach ($cart as $itemid=>$quantity) {
			
			// create a post field and field value for PayPal
			$fieldnumber = $fieldnumber +1 ; //increment the field number (could also be done with $fieldnumber++)
			$itemn = $mycart1->getItemName($itemid);
			$itemname = JText::_($itemn);
			
			$p->add_field('item_name_'.$fieldnumber, $itemname);
			$p->add_field('amount_'.$fieldnumber, $mycart1->getItemPrice($itemid));
			$p->add_field('quantity_'.$fieldnumber, $quantity);
			
			$total_price += $quantity*$mycart1->getItemPrice($itemid);	
			
		}
		
//$html.="<script>	document.ppform.submit();	</script>";
	
		$p->submit_paypal_post($paypal_url);
	
	
}

function returnPaypal($option) {
	echo JText::_('TRANSACTION SUCCESSFUL');
	echo '<br />';
	echo JText::_('THANK YOU MESSAGE');
	unset($_SESSION['shopping_cart']);
 	}
 	
 	
function cancelPaypal($option) {
	echo JText::_('TRANSACTION CANCELLED');
	echo '<br />';
 	}
	
function notifyPaypal($option) {
		
	global $mainframe;
	$db = &JFactory::getDBO();
	$row	=& JTable::getInstance('billing', 'Table');
	$siteName = $mainframe->getCfg('sitename');
	$post = JRequest::get('post');
	
	require_once (JPATH_SITE.DS.'components'.DS.'com_k2store'.DS.'paypal.class.php');
	$p = new paypal_class;
	
	
	
	$plugin = & JPluginHelper::getPlugin('k2', 'k2store');
	$pluginParams = new JParameter($plugin->params);
	
	$admin_email = 	$pluginParams->get('admin_email');
	$currency = $pluginParams->get('currency');
	$fromname = $pluginParams->get('shopname');
	$signature = $pluginParams->get('signature');
	$ptestmode = $pluginParams->get('testmode');	
	
	//	$config = & JComponentHelper::getParams('com_tpjobs');	
		//$ptestmode = $config->get('ptestmode');
		$paypalurl = ($ptestmode) ? 'https://www.sandbox.paypal.com/cgi-bin/webscr' : 'https://www.paypal.com/cgi-bin/webscr';
		
		$now = date("Y-m-d H:i:s");
		if ($p->validate_ipn($paypalurl))
		{
			
		$txn_id = $p->ipn_data['txn_id'];
		$total_amount = $p->ipn_data['mc_gross'];
		$payment_status = $p->ipn_data['payment_status'];
		$order_id = $p->ipn_data['invoice'];
		
		//shiping address
		$first_name = $p->ipn_data['first_name'];
		$last_name = $p->ipn_data['last_name'];
		$address_name = $p->ipn_data['address_name'];
		$address_street = $p->ipn_data['address_street'];
		$address_zip = $p->ipn_data['address_zip'];
		$address_state = $p->ipn_data['address_state'];
		$address_country_code = $p->ipn_data['address_country_code'];
		$address_country = $p->ipn_data['address_country'];
		
		$payer_email = $p->ipn_data['payer_email'];
		
		
		$num_cart_items = $p->ipn_data['num_cart_items'];
		
	//check the total amount and order id against the stored values.
	
	$query = 'SELECT * FROM #__k2store_orders WHERE order_id='.$order_id;
	$db->setQuery($query);
	$results = $db->loadObjectList();
	
	if($results == 0) {
	
	$verified = 'No';
		
	} else {
	
		for ($i=0; $i<count($results); $i++) {
	
		$result = $results[$i];
		
		$total_price += $result->total;
		
		}
	}
	
	//update the order status if the check is true
	
	if ($total_price == $total_amount) {
		
		$verified = JText::_('YES');
		$order_status = JText::_('CONFIRMED');
		$sql = 'UPDATE #__k2store_orders SET order_status="'.$order_status.'" WHERE order_id='.$order_id;
		$db->setQuery($sql);
		$db->query();
			
	} 
		
	
	//store the values in the db
		
		$row->paid_date 	= $now;
		$row->order_id = $order_id;
		$row->txn_id = $txn_id;	
		$row->amount 	= $total_amount;
		$row->verified 	= $verified;
		$row->payment_status	= $payment_status;
		$row->first_name 	= $first_name;	
		$row->last_name 	= $last_name;	
		$row->address_name 	= $address_name;	
		$row->address_street 	= $address_street;	
		$row->state 	= $address_state;	
		$row->zip 	= $address_zip;	
		$row->country = $address_country;	
		$row->email = $payer_email;
		
	// pre-save checks
		if (!$row->check()) {
			JError::raiseError(500, $row->getError() );
		}
	
		// if new item,  last in appropriate group
		if (!$row->id) {
			$where = "id = " . (int) $row->id;		
		}
		
		
		// save the changes
		if (!$row->store()) {
			JError::raiseError(500, $row->getError() );
		}
	
		
		// let us build the email for the user and add a cc to the administrator
		
		$subject = 'Dear '.$first_name.' '.$last_name.'  your order with '.$siteName.' is successful';
		
		$msg = '';
		$msg .= 'Dear '.$first_name.' '.$last_name.', <br />';
		$msg .= 'Thank you for your order. The order details are as follows <br />';
		
		$j = 1;
		for ($i=0;$i<$num_cart_items;$i++) {
		
		$msg .= 'Item No '.$j.' = '.$p->ipn_data['item_name'.$j].' x '.$p->ipn_data['quantity'.$j].' = '.$currency.' '.$p->ipn_data['mc_gross_'.$j].' <br />';
		$j++;		
		}
		$msg .='----------------------------------------------------------------------------------------------------------- <br />';
		
		$msg .='Total Value of the Purchase = '.$currency.' '.$total_amount.' <br />';
		
		$msg .='Transaction ID ='.$txn_id.' <br />';
		$msg .='Transaction Date ='.$now.' <br />';
		$msg .='Payment Status ='.$payment_status.' <br />';

		$msg .=' Your Shipping Address (as provided in Paypal is) <br />'; 
		
		$msg .= $first_name.'<br />';
		 
		$msg .=$last_name.'<br />';
		$msg .=$address_name.'<br />'; 
		$msg .=$address_street.'<br />'; 
		$msg .=$address_zip.'<br />'; 
		$msg .=$address_state.'<br />';
		$msg .=$address_country.'<br />'; 
		$msg .=$address_country_code.'<br />';
		
		$msg .= $signature;
		
		
		$siteURL = JURI::base();
	
		$mailer = & JFactory::getMailer();
		$mode = 1;
	
		$mailer->setSender(array($admin_email, $fromname));
		
		$mailer->setSubject($subject);
		$mailer->setBody($msg);
		$mailer->IsHTML($mode);
		
		//$payer_email = 'rameshelamathi@gmail.com';
	
	 	if($payer_email)
	 	{
		 	$mailer->addRecipient($payer_email);
		 	$mailer->addCC($admin_email);
			$mailer->Send();
		}
			
		
		//$message = 'Your Paypal transaction for is successful';	
			
		} 	
	}
	



function manualOrder($cart, $orderid) {
	global $mainframe;
	$user 		=	& JFactory::getUser();
	if(!$user->id){
		$return	= JRoute::_('index.php?option=com_user&view=login');
		$msg = JText::_('ONLY REGISTERED');
		$mainframe->redirect( $return, $msg );	
 	 }
	
	userSendMail($cart, $orderid);
	
	//adminSendMail($cart, $orderid);	
		
}


function userSendMail($cart, $orderid) {
		
	global $mainframe;
	$db = &JFactory::getDBO();
	$user 		=	& JFactory::getUser();
	$plugin = & JPluginHelper::getPlugin('k2', 'k2store');
	$pluginParams = new JParameter($plugin->params);
	
	$admin_email = 	$pluginParams->get('admin_email');
	$isregister = 	$pluginParams->get('isregister');
	
	
	$currency = $pluginParams->get('currency');
	$fromname = $pluginParams->get('shopname');
	$signature = $pluginParams->get('signature');
	
	$query = 'SELECT * FROM #__k2store_orders WHERE order_id='.$orderid;
	$db->setQuery($query);
	$results = $db->loadObjectList();
	
			
		$subject = 'Dear '.$user->name.', your order with '.$fromname.' is successful';
		
		$msg = '';
		$msg .= 'Dear '.$user->name.', <br />';
		$msg .= 'Thank you for your order. The order details are as follows <br />';
		
		$j = 1;
		for ($i=0;$i<count($results);$i++) {
						
			$item = $results[$i];
			
			$msg .= 'Item No '.$j.' = '.$item->itemname.' '.$item->itemprice.' x '.$item->quantity.' = '.$currency.' '.$item->total.' <br />';
			$total_price += $item->total;		
			$j++;
			
		}
		$msg .='----------------------------------------------------------------------------------------------------------- <br />';
		
		$msg .='Total Value of the Purchase = '.$currency.' '.$total_price.' <br />';	
		$msg .= $signature;
		
		$siteURL = JURI::base();
	
		$mailer = & JFactory::getMailer();
		$mode = 1;
	
		$mailer->setSender(array($admin_email, $fromname));
		
		$mailer->setSubject($subject);
		$mailer->setBody($msg);
		$mailer->IsHTML($mode);
	
	 	if($user->email)
	 	{
		 	$mailer->addRecipient($user->email);
		 	$mailer->addCC($admin_email);
			$mailer->Send();
		}
		unset($_SESSION['shopping_cart']);
		$message = JText::_('THANK YOU MESSAGE');
		$link = JRoute::_('index.php?option=com_k2store');
		$mainframe->redirect($link, $message);
		
}

function showOrders($option) {
	
	global $mainframe;
	$db = &JFactory::getDBO();
	$user 		=	& JFactory::getUser();
	
	 if(!$user->id){
		$return	= JRoute::_('index.php?option=com_user&view=login');
		$msg = 'You should be a registered user to access this area';
		$mainframe->redirect( $return, $msg );	
 	 }
	
	$post   = JRequest::get( 'post' );

	$limit		= $mainframe->getUserStateFromRequest('global.list.limit', 'limit', $mainframe->getCfg('list_limit'), 'int');
	$limitstart	= (empty($_GET['limitstart'])) ? 0 : $mainframe->getUserStateFromRequest($option.'.limitstart', 'limitstart', 0, 'int');
	
	$query = "SELECT COUNT(*)".	          
			 " FROM #__k2store_orders WHERE user_id={$user->id}";
			 
	$db->setQuery( $query );
 	$total = $db->loadResult();
		
	jimport('joomla.html.pagination');
	$pageNav = new JPagination( $total, $limitstart, $limit );
	//SELECT type, COUNT(name) FROM products GROUP BY type
	$query = "SELECT order_id, order_date, SUM(quantity) as totalqty, SUM(total) as totalamt, order_status FROM #__k2store_orders WHERE user_id={$user->id} GROUP BY order_id ORDER BY id";
	$db->setQuery( $query, $pageNav->limitstart, $pageNav->limit );
	$rows = $db->loadObjectList();

	
	K2STORE_front::showOrders($option, $rows, $pageNav);
	
}

function detailOrder($option) {
	
	global $mainframe;
	$db = &JFactory::getDBO();
	
	$user 		=	& JFactory::getUser();
	 if(!$user->id){
		$return	= JRoute::_('index.php?option=com_user&view=login');
		$msg = 'You should be a registered user to access this area';
		$mainframe->redirect( $return, $msg );	
 	 }
	
	$order_id = JRequest::getVar('orderid', 0, 'int', 'get');
	
	$query = "SELECT * FROM #__k2store_orders WHERE order_id={$order_id} ORDER BY id";
	$db->setQuery($query);
	$rows = $db->loadObjectList();
	
	K2STORE_front::detailOrder($option, $rows, $order_id);
}

?>
